Subject: bug#64500: More information

From: William Lightner <[email-masked]>
Date: Thu, 20 Jul 2023 14:23:54 +0000

This may have been the obvious missed (by me):  a path issue.

I set up a script with the path referencing _only_ %EMACS_HOME% and the problem seems to have stopped.

Doh!

This should have occurred to me much, much earlier.

Thank you again for the prod!

-----Original Message-----
From: William Lightner <[email-masked]>
Sent: Thursday, July 20, 2023 09:13
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Subject: RE: bug#64500: More information

The Cygwin64 version works for me under XWindows on Windows 10, too.   But every time I install 28.1 or 28.2 it generates this constant stream of pop-up errors until I kill it.  Even re-installed 27 does this now, and it worked fine before the upgrade to 28.

Unfortunately, I am pretty new to emacs so the error reporting thus far has been unhelpful.  I have determined that it appears to be failing during compilation of at least some scripts, which rings a very faint bell, as if I've seen this before and have just forgotten the resolution.  I haven't had time yet to pursue that thought, though.

Thanks for the reply & information.

William Lightner

-----Original Message-----
From: Eli Zaretskii <[email-masked]>
Sent: Thursday, July 20, 2023 01:29
To: William Lightner <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#64500: More information

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you recognize the sender and know the content is safe.

> Date: Wed, 19 Jul 2023 21:57:21 +0000
> From:  William Lightner via "Bug reports for GNU Emacs,  the Swiss
> army knife of text editors" <[email-masked]>
>
> I removed emacs again; discovered I’d also installed it under choco &
> removed that, too, then re-installed 28.2 using the Windows installer.
>
> Still get this problem, apparently during compiling…?

Why does Emacs compile *.el files?  It isn't supposed to that when you start it.

Anyway, I'm sorry to say that I don't understand what happens in your case according to what you describe.  The GIO error message you show in the original report seem to point to librsvg, but that is all I can say.  The backtraces you post can only be interpreted on your system; see the node "Crashing" in the Emacs user manual for how to convert them to more useful ones if you have the necessary tools installed.

That's all I can say, sorry.  These Emacs versions work flawlessly for me, FWIW.
This email contains confidential material for the sole use of the intended recipient(s). Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply email and delete all copies of this message.